onsweb.views.livescore = {
    top_right_menu : function(d){
        return '<div class="refresh-button '+d.class_name+'"></div>';
    },
    live_button :function(d){
        return '<div class="o-header-live-button">LIVE</div>';
    },
    list_group : function(d){
        return '<li class="group-title">'+d.title+'</li>';
    }, 

    match_overview_list_item : function(d){
        return '<li class="match-item '+d.bind_class+ '" rel="'+d.match_id+'"><div class="logo-left"><div class="pic-left" style="background: url(\''+ d.home_logo +'\') no-repeat center"></div><div class="name-left">'+d.home_name
        +'</div></div><div class="score-left">'+d.home_score+'</div><div class="match-program"><div class="match-date">'+d.date_short
        +'</div><div class="match-time">'+d.time
        +'</div><div class="match-status '+d.lcstatus+'">'+d.statustext+'</div></div><div class="score-right">'+d.away_score
        +'</div><div class="logo-right"><div class="pic-right" style="background: url(\''+ d.away_logo +'\') no-repeat center"></div><div class="name-right">'+d.away_name
        +'</div></div><div class="clear"></div></li>';
    },
    match_overview_list : function(d){
        return '<div class="'+d.overview_class+'"><ul>'+d.items+'</ul></div>';
    },
    detail_bar : function(d){
        return '<li class="detail_bar" ><div class="gameplay active"><span>Spelverloop</span></div><div class="setup"><span>Opstelling</span></div><div class="clear"></div></li>';
    },
    topscorer_list_item  : function(d){
        return '<li class="event-item '+d.bind_class+' topscorer" rel="'+d.player_id+'"><div class="logo"></div><div class="player">'+d.player_name+'</div><div class="goals">'+d.aantalgoals+'</div><div class="clear"></div></li>';
    },

   topscorer_unknown_list_item  : function(d){
        return '<li class="event-item '+d.bind_class+' topscorer"><div class="logo"></div><div class="player">'+d.player_name+'</div><div class="goals">'+d.aantalgoals+'</div><div class="clear"></div></li>';
    },
    event_no_data_list_item : function(d){
        return '<li class="event-item '+d.bind_class+'">Er zijn geen gegevens beschikbaar. <div class="clear"></div></li>';
     },
    event_score_list_item : function(d){
        return '<li class="event-item '+d.bind_class+'" rel="'+d.event.player_id+'" id="'+d.id+'"><div class="logo"></div><div class="event"><div class="eventname">'+d.event.display_event+'</div><div class="name">'+d.event.player_name+'</div></div><div class="score '+d.event_class+'">'+d.event.home_score+' - '+d.event.away_score+'</div><div class="clear"></div></li>';
     },
     event_score_unknown_list_item : function(d){
        return '<li class="event-item '+d.bind_class+'"><div class="logo"></div><div class="event"><div class="eventname">'+d.event.display_event+'</div><div class="name">'+d.event.player_name+'</div></div><div class="score '+d.event_class+'">'+d.event.home_score+' - '+d.event.away_score+'</div><div class="clear"></div></li>';
     },
    event_noscore_list_item : function(d){
        return '<li class="event-item '+d.bind_class+'" rel="'+d.event.player_id+'" id="'+d.id+'"><div class="logo"></div><div class="event"><div class="eventname">'+d.event.display_event+'</div><div class="name">'+d.event.player_name+'</div></div><div class="'+d.event_class+'"></div><div class="clear"></div></li>';
     },
    event_noscore_unknown_list_item : function(d){
        return '<li class="event-item '+d.bind_class+'"><div class="logo"></div><div class="event"><div class="eventname">'+d.event.display_event+'</div><div class="name">'+d.event.player_name+'</div></div><div class="'+d.event_class+'"></div><div class="clear"></div></li>';
     },
    event_norel_list_item : function(d){
        return '<li class="event-item '+d.bind_class+'"><div class="nologo"></div><div class="event"><div class="eventname">'+d.event.display_event+'</div></div><div class="score '+d.event_class+'"></div><div class="clear"></div></li>';
    },
    event_list : function(d){
        return '<div class="'+d.overview_class+'"><ul>'+d.items+'</ul></div>';
    },
    setup_list_item : function(d){
        return '<li class="setup-item '+d.bind_class+'" rel="'+d.player_id+'"><div class="number"></div><div class="player">'+d.player_name+'</div><div class="goals">'+d.goals+'</div><div class="clear"></div></li>';
     },
    setup_unknown_list_item : function(d){
        return '<li class="setup-item '+d.bind_class+'"><div class="number"></div><div class="player">'+d.player_name+'</div><div class="goals">'+d.goals+'</div><div class="clear"></div></li>';
     },
    setup_sub_list_item : function(d){
        return '<li class="setup-item '+d.bind_class+'" rel="'+d.player_id+'"><div class="number"></div><div class="player"><div class="sub"></div>'+d.substitution +'\' '+d.player_name+'</div> <div class="goals">'+d.goals+'</div><div class="clear"></div></li>';
     },
    setup_sub_unknown_list_item : function(d){
        return '<li class="setup-item '+d.bind_class+'"><div class="number"></div><div class="player"><div class="sub"></div>'+d.substitution +'\' '+d.player_name+'</div> <div class="goals">'+d.goals+'</div><div class="clear"></div></li>';
     },
setup_list : function(d){
        return '<div class="'+d.overview_class+'"><ul>'+d.items+'</ul></div>';
    },
    setup_officials_list_item : function(d){
        return '<li class="official-item"><div class="title">'+d.title +'</div><div class="official">'+d.name +'</div><div class="clear"></div></li>';
     },
    passport_info_item : function(d){
        return '<li class="passport-info-item"><div class="twitter"></div><div class="facebook"></div><div class="passport_info_photo"></div><div class="passport_info"><div class="player_info_name">'
            +d.name+'</div><div class="clear"></div><div class="player_info_label">'+gt('Geb. datum:')+'</div><div class="player_info_stat">'+d.birthday+'</div><div class="clear"></div><div class="player_info_label">'+gt('Leeftijd:')+'</div><div class="player_info_stat">'+d.age+'</div><div class="clear"></div><div class="player_info_label">'+gt('Woonplaats:')+'</div><div class="player_info_stat">'
            +d.city+'</div><div class="clear"></div><div class="player_info_label">'+gt('Lengte:')+'</div><div class="player_info_stat">'+d.length+'</div><div class="clear"></div><div class="player_info_label">'+gt('Gewicht:')+'</div><div class="player_info_stat">'+d.weigth+'</div><div class="clear"></div><div class="player_info_label">'+gt('Vorige clubs:')+'</div><div class="player_info_stat">'+d.clubs+'</div><div class="clear"></div><div class="player_info_label">'+gt('Interlands:')+'</div><div class="player_info_stat"><div class="interlands">'+d.international_matches+'</div></div></div><div class="clear"></div></li>';
     },

     statistics_title_item : function(d){
        return '<li class="official-item matchheader"><div class="teams-title">Wedstrijden</div><div class="small">D</div><div class="small">SW</div><div class="small">Reb</div><div class="small">VB</div><div class="small">DLB</div><div class="clear"></div></li>';
     },

      statistics_items: function(d){
        return '<li class="official-item '+d.current_class+' " ><div class="teamsblock"><div class="teams">'+d.Teams+'</div><div class="date">'+d.date +'('+d.home_score+' - '+d.away_score+')</div></div><div class="statsblock"><div class="small">'+d.D+'</div><div class="small">'+d.SW+'</div><div class="small">'+d.Reb+'</div><div class="small">'+d.VB+'</div><div class="small">'+d.DLB+'</div></div><div class="clear"></div></li>';
     },
      offline : function(d){
        return '<div class="'+d.item_class+'"><h2>'+d.title+'</h2><div class="text">'+d.text+'</div><div class="clear"></div>';
    }
}

