/* LOADER VIEWS */
onsweb.views.competition = {
	show_club_search : function(d){
		return '<div class="search_bar">\n\
					<label for="search_club">\n\
						<input type="text" id="search_club" value="'+d.search_text+'" onfocus="if(this.value=\''+gt('Zoek club')+'\'){this.value=\'\'}" onblur="if(this.value=\'\'){this.value=\''+gt('Zoek club')+'\'}"/>\n\
						<div class="buttons"><span id="search_reset" class="delete" style="display:none"></span>\n\
					<div class="clear"></div></div></label>\n\
				</div>\n\
				<div id="search_clubs">\n\
					'+d.results+'\n\
				</div>';
	},
	show_club_list : function(d){
		return '<div class="o-overview '+d.block_class+'">\n\
					<ul class="'+d.block_class+'">\n\
						'+d.items+'\n\
					</ul>\n\
				</div>';
	},
	show_club_list_item : function(d){
		return '<li class="club '+d.letter+' list-item list-item-link" rel="'+d.competition_club_id+'/program"><span>'+d.competition_club_name+'</span> '+d.competition_facility_city+'</li>';
	},
	show_list : function(d){
		return '<div class="o-overview '+d.block_class+'">\n\
					<ul class="'+d.block_class+'">\n\
						'+d.items+'\n\
					</ul>\n\
				</div>';
	},
	show_favorite_button : function(club_id, favorite){
		return '<div class="ftr '+favorite+'" rel="'+club_id+'"></div>';
	},
	show_list_block : function(d){
		return '<li class="group-title" rel="'+d.name+'">'+d.name+'</li>'+d.items;
	},
	show_list_item : function(d){
		return '<li class="'+d.cls+' '+d.letter+' list-item list-item-link" rel="'+d.rel+'">'+d.name+'</li>';
	},
	show_club_menu_old : function(d){
		return '<div id="top_sub_menu" class="top_bar"><ul class="club_menu">\n\
					<li class="program '+d.program+'" rel="program"><span><span><span><em>'+gt('program')+'</em></span></span></span></li>\n\
					<li class="results '+d.results+'" rel="results"><span><span><span><em>'+gt('results')+'</em></span></span></span></li>\n\
					<li class="teams '+d.teams+'" rel="teams"><span><span><span><em>'+gt('Teams')+'</em></span></span></span></li>\n\
					<li class="club '+d.club+'" rel="club"><span><span><span><em>'+gt('Club')+'</em></span></span></span></li>\n\
				</ul></div>';
	},
	show_club_menu : function(d){
		return '<div id="top_sub_menu" class="o-top-menu top_bar club_menu">\n\
					<div class="o-top-menu-item program '+d.program+' '+d.change_class+'" rel="'+d.rel+'program"><span></span><em>'+gt('program')+'</em></div>\n\
					<div class="o-top-menu-item results '+d.results+' '+d.change_class+'" rel="'+d.rel+'results"><span></span><em>'+gt('results')+'</em></div>\n\
					<div class="o-top-menu-item teams '+d.teams+' '+d.change_class+'" rel="'+d.rel+'teams"><span></span><em>'+gt('Teams')+'</em></div>\n\
					<div class="o-top-menu-item club '+d.club+' '+d.change_class+'" rel="'+d.rel+'club"><span></span><em>'+gt('Club')+'</em></div>\n\
				<div class="clear"></div></div>';
	},
	show_team_list_item : function(d){
		return '<li class="club '+d.age+' list-item list-item-link" rel="'+d.team_id_group+'/program">'+d.team_name+'</li>';
	},
	show_team_menu : function(d){
		return '<div id="top_sub_menu" class="o-top-menu top_bar team_menu">\n\
					<div class="o-top-menu-item program '+d.program+' '+d.change_class+'" rel="'+d.rel+'program"><span></span><em>'+gt('program')+'</em></div>\n\
					<div class="o-top-menu-item results '+d.results+' '+d.change_class+'" rel="'+d.rel+'results"><span></span><em>'+gt('results')+'</em></div>\n\
					<div class="o-top-menu-item standen '+d.standing+' '+d.change_class+'" rel="'+d.rel+'standing"><span></span><em>'+gt('Standing')+'</em></div>\n\
				<div class="clear"></div></div>';
	},
	show_team_menu_old : function(d){
		return '<div id="top_sub_menu" class="top_bar"><ul class="team_menu">\n\
					<li class="o-top-menu-item program '+d.program+'" rel="program"><span><span><span><em>'+gt('program')+'</em></span></span></span></li>\n\
					<li class="o-top-menu-item results '+d.results+'" rel="results"><span><span><span><em>'+gt('results')+'</em></span></span></span></li>\n\
					<li class="o-top-menu-item standen '+d.standing+'" rel="standing"><span><span><span><em>'+gt('Standing')+'</em></span></span></span></li>\n\
				</ul></div>';
	},
	show_program : function(blocks){
		return '<div class="o-overview"><ul class="matches">'+blocks+'</ul></div>';
	},
	show_match_block : function(block){
		return '<li class="group-title">'+gt('Week')+' '+block.date+'</li>\n\
				'+block.rows;
	},
	show_match_program : function(match){
		return '<li class="list-item list-item-link match '+match.cls+'" rel="'+match.competition_program_id+'">\n\
					<div class="time">'+match.time+'</div>\n\
					<div class="date">'+match.date_short+'</div>\n\
					<div class="team">'+match.home_team_name+'</div>\n\
					<div class="team">'+match.away_team_name+'</div>\n\
					<div class="clear"></div>\n\
				</li>';
	},
	show_match_result : function(match){
		return '<li class="list-item list-item-link match '+match.cls+'" rel="'+match.competition_program_id+'">\n\
					<div class="result">'+match.home_score+'-'+match.away_score+'</div>\n\
					<div class="date">'+match.date_short+'</div>\n\
					<div class="team">'+match.home_team_name+'</div>\n\
					<div class="team">'+match.away_team_name+'</div>\n\
					<div class="clear"></div>\n\
				</li>';
	},
	show_match : function(d){
		var field_type = d.field_type != '' && d.field_type != '-' ? ' ('+d.field_type+')' : '';
		
		var address = d.facility_address;
		var city = d.facility_city;
		var google_maps_url = 'http://maps.google.com/?q='+address.replace(/ /g, "+")+','+city.replace(/ /g, "+")+',Nederland';

		return '<div class="o-overview">\n\
					<ul>\n\
						<li class="wedstrijd">\n\
							'+d.home_team_name+' - '+d.away_team_name+'\n\
						</li>\n\
							'+d.result+'\n\
						<li class="group-title">\n\
							'+gt('Wedstrijd details')+'\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Datum')+'</div><div class="right">'+d.date_short+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Tijd')+'</div><div class="right">'+d.time+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Poule')+'</div><div class="right">'+d.poule_name+' '+d.sport_name+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Scheidsrechter(s)')+'</div><div class="right">'+d.match_officials+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Wedstrijdnummer')+'</div><div class="right">'+d.game_id+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Accommodatie')+'</div><div class="right">'+d.facility_name+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Veld')+'</div><div class="right">'+d.field+field_type+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Adres')+'</div><div class="right">'+d.facility_address+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Plaats')+'</div><div class="right">'+d.facility_city+'</div><div class="clear"></div>\n\
						</li>\n\
						<li class="row">\n\
							<div class="left">'+gt('Route')+'</div>\n\
							<div class="right"><a class="external" href="' + google_maps_url + '">'+gt('Google maps')+'</a></div>\n\
							<div class="clear"></div>\n\
						</li>\n\
				</div>';
	},
	show_match_result_line : function(d){
		return '<li class="uitslag">'+d.home_score+' - '+d.away_score+'</li>'
	},
	show_no_results : function(){
		return '<div class="o-overview"><ul class="no_results"><li>'+gt('Geen resultaten gevonden.')+'</li></ul></div>';
	},
	show_standings : function(blocks){
		return '<div class="o-overview"><ul class="">'+blocks+'</ul></div>';
	},
	show_standing_block : function(block){
		return '<li class="group-title">\n\
					'+block.poule_name+'\n\
				</li>\n\
				<li class="block">\n\
					<div class="o-standing">\n\
						<div class="o-standing-headline o-standing-line">\n\
							<div class="against">'+gt('Tegen')+'</div>\n\
							<div class="gfor">'+gt('Voor')+'</div>\n\
							<div class="lost">'+gt('Verlies')+'</div>\n\
							<div class="tie">'+gt('Gelijk')+'</div>\n\
							<div class="won">'+gt('Winst')+'</div>\n\
							<div class="points">'+gt('Punten')+'</div>\n\
							<div class="played">'+gt('Gespeeld')+'</div>\n\
							<div class="number">#</div>\n\
							<div class="team">'+gt('Team')+'</div>\n\
						</div>\n\
						'+block.rows+'\n\
					</div>\n\
					<div class="clear"></div>\n\
				</li>';
	},
	show_standing_line : function(line){
		return '<div class="o-standing-line '+line.cls+'">\n\
					<div class="against">'+line.goals_against+'</div>\n\
					<div class="gfor">'+line.goals_for+'</div>\n\
					<div class="lost">'+line.lost+'</div>\n\
					<div class="tie">'+line.draw+'</div>\n\
					<div class="won">'+line.won+'</div>\n\
					<div class="points">'+line.points+'</div>\n\
					<div class="played">'+line.played+'</div>\n\
					<div class="number">'+line.position+'</div>\n\
					<div class="team">'+line.team_name+'</div>\n\
					<div class="clear"></div>\n\
				</div>\n\
				';
	},
	show_standing_block_old : function(block){
		return '<li class="group-title">\n\
					'+block.poule_name+'\n\
				</li>\n\
				<li class="block"><table class="standing">\n\
					<tr>\n\
						<td class="number">#</td>\n\
						<td class="team">'+gt('Team')+'</td>\n\
						<td class="played">'+gt('Gespeeld')+'</td>\n\
						<td class="points">'+gt('Punten')+'</td>\n\
						<td class="won">'+gt('Winst')+'</td>\n\
						<td class="tie">'+gt('Gelijk')+'</td>\n\
						<td class="lost">'+gt('Verlies')+'</td>\n\
						<td class="gfor">'+gt('Voor')+'</td>\n\
						<td class="against">'+gt('Tegen')+'</td>\n\
					</tr>\n\
					'+block.rows+'\n\
				</table></li>';
	},
	show_standing_line_old : function(line){
		return '<tr class="'+line.cls+'">\n\
					<td class="number">'+line.position+'</td>\n\
					<td class="team"><div>'+line.team_name+'</div></td>\n\
					<td class="played">'+line.played+'</td>\n\
					<td class="points">'+line.points+'</td>\n\
					<td class="won">'+line.won+'</td>\n\
					<td class="tie">'+line.draw+'</td>\n\
					<td class="lost">'+line.lost+'</td>\n\
					<td class="gfor">'+line.goals_for+'</td>\n\
					<td class="against">'+line.goals_against+'</td>\n\
				</tr>';
	},
	show_club_info: function(d){

		var href = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/.test(d.competition_club_website) ? '' : 'http://';
		
		var address = d.competition_facility_address;
		var zipcode = d.competition_facility_postcode;
		var city = d.competition_facility_city;
		var maps_query = address.replace(/ /g, "+")+','+zipcode.replace(/ /g, "+")+','+city.replace(/ /g, "+");

		return '<div class="o-overview">\n\
					<ul class="club_info">\n\
						<li class="group-title">'+d.competition_club_name+'</li>\n\
						<li class="address">'+d.competition_facility_address+'<br />'+d.competition_facility_postcode+' '+d.competition_facility_city+'</li>\n\
					</ul>\n\
					<ul class="club_info">\n\
						<li class="group-title">'+gt('Meer informatie')+'</li>\n\
						<li class="list-item list-item-link"><a href="'+href+d.competition_club_website+'" class="external">'+gt('Naar verenigingssite')+'</a></li>\n\
						<li class="list-item list-item-link"><a href="http://maps.google.nl/maps?q='+maps_query+'" class="external">'+gt('Toon op kaart')+'</a></li>\n\
						<li class="list-item list-item-link"><a href="http://maps.google.nl/maps?daddr='+maps_query+'" class="external">'+gt('Plan uw route')+'</a></li>\n\
					</ul>\n\
				</div>';
	},
	show_poule_team_switch : function(){
		return '<div class="o-switch"><ul><li class="active" rel="poule">'+gt('Poule')+'</li><li class="" rel="team">'+gt('Team')+'</li></ul><div class="clear"></div></div>';
	}
};
