onsweb.views = {};

/* PAGE TEXT VIEWS */
onsweb.views.page_text = {
    page : function(d){
        return '<div class="text-page text-page-extra"><h2>'+d.title+'</h2>'+d.text+'</div>';
    }
};

/* MENU VIEWS */
onsweb.views.menu = {
    header : function(d){
        return '<div class="'+d.header_background_block+'">\n\
						<div class="'+d.header_back_button_class+'">'+gt('Vorige')+'</div>\n\
						<div class="'+d.header_ball_icon_class+'"></div>\n\
                                                <div class="'+d.header_live_button_class+'">'+gt('LIVE')+'</div>\n\
						<div class="'+d.header_title_block_class+'"></div>\n\
                                                <div class="'+d.header_right_menu_class+'"></div>\n\
					<div class="clear"></div></div>\n\
					<div class="'+d.header_sub_menu_class+'"></div>';
    },
    menu_list : function(d){
        return '<ul>'+d.items+'<ul>';
    },
    menu_list_item : function(d){
        return '<li class="'+d.menu_item_class+' '+d.link+'" link="'+d.link+'" rel="'+d.i+'"><span><span><span>'+d.title+'</span></span></span></li>';
    },
    sub_menu : function(d){
        return '<ul class="'+d.list_class+'">'+d.items+'</ul>';
    },
    sub_menu_item : function(d){
        return '<li rel="'+d.rel+'" class="'+d.item_class+'">'+d.title+'</li>';
    }
};

/* LOADER VIEWS */
onsweb.views.loader = {
    splashscreen : function(d){
        return '<div class="'+d.block_class+'">Loading</div>';
    },
    loader : function(d){
        return '<div class="'+d.block_center+'" id="loader"><div class="'+d.block_class+'"><div class="'+d.image_class+'"></div><div class="'+d.title_class+'">Loading</div></div></div>';
    }
};

onsweb.views.news = {
    overview_list_group : function(d){
        return '<li class="group-title '+d.class_name+'">'+d.title+'</li>';
    },
    overview_list_item : function(d){
        return '<li class="news-item '+d.bind_class+'" rel="'+d.i+'"><div class="picture"></div><div class="date">'+d.d+'</div><div class="title">'+d.t+'</div><div class="clear"></div></li>';
    },
    overview_list : function(d){
        return '<div class="'+d.overview_class+'"><ul>'+d.items+'</ul></div>';
    },
    item : function(d){
        return '<div class="text-page '+d.item_class+'"><h2>'+d.t+'</h2><div class="picture"></div><div class="text"><span>'+d.it+'</span>'+d.tt+'</div><div class="clear"></div><div class="source"><div class="row"><div class="left">'+gt('Bron:')+'</div><div class="right">'+d.gt+'</div></div><div class="row"><div class="left">'+gt('Datum:')+'</div><div class="right">'+d.dt+'</div></div></div></div>';
    },
    live_bar : function(d){
        return '<li id="live_bar" class="live_bar o-sub-menu-item-change" rel="'+d.rel+'"><div class="livebar-bg"><div class="live_bar-icon"></div><div class="live_bar-title">Live score</div><div class="live_bar-display"><div class="'+d.button+'">'+d.items+'</div></div><div class="clear"></div></div></li>';
    },
    top_right_menu : function(d){
        return '<div class="refresh-button '+d.class_name+'"></div>';
    },
    top_right_item_menu : function(d){
        return '<div class="'+d.ne_class+'" rel="'+d.ne+'"></div><div class="'+d.pr_class+'" rel="'+d.pr+'"></div><div class="clear"></div>';
    }
};

onsweb.views.calendar = {
    overview_list_group : function(d){
        return '<li class="group-title '+d.class_name+'">'+d.title+'</li>';
    },
    overview_list_item : function(d){
        return '<li class="calendar-item '+d.bind_class+'" rel="'+d.i+'"><div class="date">'+d.d+'</div><div class="title">'+d.t+'</div><div class="clear"></div></li>';
    },
    overview_list : function(d){
        return '<div class="'+d.overview_class+'"><ul>'+d.items+'</ul></div>';
    },
    item : function(d){
        return '<div class="'+d.item_class+'"><h2>'+d.t+'</h2><div class="text"><span>'+d.it+'</span>'+d.tt+'</div><div class="clear"></div></div>';
    },
    top_right_menu : function(d){
        return '<div class="refresh-button '+d.class_name+'"></div>';
    },
    top_right_item_menu : function(d){
        return '<div class="'+d.ne_class+'" rel="'+d.ne+'"></div><div class="'+d.pr_class+'" rel="'+d.pr+'"></div><div class="clear"></div>';
    }
};

onsweb.views.auth = {
    login_page : function(d){
        return '<div class="o-login-block"><div class="login-head">'+gt('Inloggen')+'</div><div class="row"><span class="error"></span></div><div class="row"><label for="username_input"><input type="text" name="username" value="'+d.username+'" id="username_input" class="'+d.input_username_class+'"/><span class="icon person"></span></label></div><div class="row"><label for="password_input"><input type="password" name="password" value="'+d.password+'" id="password_input" class="'+d.input_password_class+'"/><span class="icon key"></span></label></div><div class="button '+d.login_button_class+'">'+gt('Inloggen')+'</div><br/><div class="button '+d.password_button_class+'">'+gt('Wachtwoord vergeten?')+'</div><div class="clear"></div></div>';
    },
    logout_top_button: function(d){
        return '<div class="'+d.class_name+'">'+gt('Uitloggen')+'</div>';
    }
};